/**
 * 华为云会议sdk的扩展方法
 */
import { Modal, message } from "antd";
import { uploadCloudLinkMeetingDaemonUrl } from "../../../utils/config";
/**
 * 使用回调的方式，去扩展cloudEC
 * A = function(){}
 * B = function(){}
 * A(B)
 */
// cloudEC.configure = (function(base) {
//   return function(options) {
//     base.apply(this, arguments);
//     //扩展方法 TODO
//     debugger;
//   };
// })(cloudEC.configure);
// export default cloudEC.configure;
const initTerminalSDKError = function () {
  return Modal.warning({
    title: "请先安装视频插件并启动成功，然后重启页面。是否立即下载?",
    okText: "下载",
    maskClosable: false,
    onOk() {
      let a = document.createElement("a");
      a.href = uploadCloudLinkMeetingDaemonUrl;
      a.click();
    },
    onCancel() {
      message.warning(
        "您还未正确安装插件，请按照提示完成插件下载与安装，才能继续使用如下功能"
      );
    },
  });
};
export default terminalSDK.onDaemonClose = (function (base) {
  return function () {
    base.apply(this, arguments);
    //扩展方法 TODO
    // 修改没有初始化sdk成功的回调方法
    initTerminalSDKError();
  };
})(terminalSDK.onDaemonClose);
